package com.ozs.service.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ozs.service.entity.UserRegistrationid;
import com.ozs.service.mapper.UserRegistrationidMapper;
import com.ozs.service.service.UserRegistrationidService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.ObjectUtils;

import java.util.List;

/**
 * @Author : sunhh
 * @create 2023/3/14 17:08
 */
@Service
public class UserRegistrationidServiceImpl extends ServiceImpl<UserRegistrationidMapper, UserRegistrationid> implements UserRegistrationidService {
    @Autowired
    private UserRegistrationidMapper userRegistrationidMapper;

    @Override
    public Integer addRegistrationID(UserRegistrationid userRegistrationid) {
        LambdaQueryWrapper<UserRegistrationid> lw = new LambdaQueryWrapper<UserRegistrationid>();
        if (!ObjectUtils.isEmpty(userRegistrationid.getUserId())) {
            lw.in(UserRegistrationid::getUserId, userRegistrationid.getUserId());
        }
        if (!ObjectUtils.isEmpty(userRegistrationid.getRegistrationId())) {
            lw.in(UserRegistrationid::getRegistrationId, userRegistrationid.getRegistrationId());
        }
        List<UserRegistrationid> userRegistrationids = userRegistrationidMapper.selectList(lw);
        int add = 0;
        if (userRegistrationids.size() > 0) {
            add = userRegistrationidMapper.updateRegistrationID(userRegistrationid);
        } else {
            add = userRegistrationidMapper.insert(userRegistrationid);
        }
        return add;
    }

    @Override
    public List<String> selectRegistrationID(List<String> userIdList) {
        return userRegistrationidMapper.selectRegistrationID(userIdList);
    }
}
